class InstanceUploadLinkResponse {
  final String? url;
  final String? publicUrl;

  InstanceUploadLinkResponse({
    this.url,
    this.publicUrl,
  });

  factory InstanceUploadLinkResponse.fromJson(Map<dynamic, dynamic> json) =>
      InstanceUploadLinkResponse(
        url: Uri.decodeFull(json["url"]),
        publicUrl: Uri.decodeFull(json["public_url"]),
      );

  Map<String, dynamic> toJson() => {
        "url": url,
        "public_url": publicUrl,
      };
}
