class AuthFailedException implements Exception {}

class ApiException implements Exception {
  ApiException(this.code, {this.body});
  final String code;
  final Map? body;

  @override
  String toString() => code;
}

class NoResponseException implements Exception {}

class EmptyInstanceID implements Exception {}

class ApiResponseException implements Exception {
  final String message;

  ApiResponseException(this.message);

  @override
  String toString() => message;
}
